import pytest
from typing import List

from mininet.models.models import Address


@pytest.fixture()
def addr_frontend() -> Address:
    return Address("tcp", "localhost", 5559)

@pytest.fixture()
def addr_backend() -> Address:
    return Address("tcp", "localhost", 5560)

@pytest.fixture()
def addr_pair(addr_frontend, addr_backend) -> List[Address]:
    return [addr_frontend, addr_backend]
